Subject: Re: forcedeth

From: James Drabb <[email-masked]>
Date: Sun, 01 Aug 2004 18:01:19 -0400

Manfred Spraul wrote:
> James Drabb wrote:
> 
>> jim@keelie $ uname -a
>> Linux keelie 2.6.7-1 #1 Thu Jul 22 11:42:58 CEST 2004 i686 athlon i386 
>> GNU/Linux
> 
> 
> There should be a message in the dmesg log about the driver version: If 
> it's less than 0.28: could you try a newer kernel? 0.28 is definitively 
> in 2.5.8-rc1-mm1 and later. I could also send you just the forcedeth.c 
> file, then you don't have to upgrade the whole kernel.

dmesg shows version 0.25.

> Probably the phy reset and/or the media detection do not work properly. 
> That part is completely rewritten in 0.28.
> 
> I'm interested in two infos:
> - with 2.6.7 (probably version 0.25), after booting into winXP first: 
> what does
>    # ethtool eth0
> report? Then unplug the network cable. Run ethtool again. Does it report 
> "Link detected: No"? What if you plug the network cable back in?

ethtool eth0 shows:

Settings for eth0:
         Supports Wake-on: g
         Wake-on: d
         Link detected: yes

Unplugging the network cable showed the same settings:

Settings for eth0:
         Supports Wake-on: g
         Wake-on: d
         Link detected: yes

> -- 
>    Manfred

Please send me the latest forcedeth.c and I will give it a go.  Do you 
have the makefile so I can compile the module outside of the kernel?

Thanks,

Jim Drabb
-- 
James Drabb
Senior Programmer
Davenport, FL USA